%{?build_selinux}%{?!build_selinux:%bcond_with selinux}

Summary:	Programs for backing up and restoring filesystems
Name:		dump
Version:	0.4b42
Release:	11
License:	BSD
Group:		Archiving/Backup
Url:		http://sourceforge.net/projects/dump/
Source0:	ftp://osdn.dl.sourceforge.net/pub/sourceforge/d/du/%{name}/%{name}-%{version}.tar.gz
Patch0:		dump-nonroot.patch
Patch2:		dump-0.4b34-check-systypes.patch
Patch3:		dump-0.4b37-compile-fix.patch
Patch4:		dump_progname_mips.patch
Patch5:		dump-rh507948.patch
Patch6:		build-without-selinux.patch
BuildRequires:	bzip2-devel
BuildRequires:	readline-devel
%if %{with selinux}
BuildRequires:	selinux-devel
BuildRequires:	sepol-devel
BuildRequires:	pkgconfig(devmapper)
%endif
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
Requires:	rmt = %{EVRD}

%description
The dump package contains both dump and restore.  Dump examines files in
a filesystem, determines which ones need to be backed up, and copies
those files to a specified disk, tape or other storage medium.  The
restore command performs the inverse function of dump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then be
layered on top of the full backup.  Single files and directory subtrees
may also be restored from full or partial backups.

%files
%doc CHANGES COPYRIGHT KNOWNBUGS README THANKS TODO MAINTAINERS dump.lsm
%attr(0664,root,disk)	%config(noreplace) %{_sysconfdir}/dumpdates
#%attr(6755,root,tty)	/sbin/dump
/sbin/dump*
#%attr(6755,root,tty)	/sbin/restore
/sbin/restore*
/sbin/rdump
/sbin/rrestore
%{_mandir}/man8/dump.8*
%{_mandir}/man8/rdump.8*
%{_mandir}/man8/restore.8*
%{_mandir}/man8/rrestore.8*

#----------------------------------------------------------------------------

%package -n rmt
Summary:	Provides certain programs with access to remote tape devices
Group:		Archiving/Backup
Provides:	/sbin/rmt

%description -n rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup) and tar (an archiving program).

%files -n rmt
%doc COPYRIGHT
/sbin/rmt
%{_sysconfdir}/rmt
%{_mandir}/man8/rmt.8*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0 -b .nonroot
%patch2 -p1 -b .check-systypes
%patch3 -p1 -b .compfix
%patch4 -p1 -b .progname
%patch5 -p1 -b .rh507948
%if %{without selinux}
%patch6 -p0 -b .selinux
%endif

autoconf

%build
%configure2_5x \
	--with-manowner=root \
	--with-mangrp=root \
	--with-manmode=644 \
	--enable-ermt \
%if %{without selinux}
	--disable-transselinux \
%endif
	--disable-kerberos

%make OPT="%{optflags} -fPIC -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts"

%install
make install SBINDIR=%{buildroot}/sbin BINDIR=%{buildroot}/sbin MANDIR=%{buildroot}%{_mandir}/man8

for i in dump restore; do
  mv %{buildroot}/sbin/$i %{buildroot}/sbin/$i.ext3
  ln -s $i.ext3 %{buildroot}/sbin/$i.ext2
  ln -s $i.ext3 %{buildroot}/sbin/$i
done

pushd %{buildroot}
  mkdir .%{_sysconfdir}
  > .%{_sysconfdir}/dumpdates
  ln -s ../sbin/rmt ./%{_sysconfdir}/rmt
popd


%changelog

* Wed Apr 08 2015 Tigro <ashejn@yandex-team.ru> 0.4b42-11
- (fb67890) drop termcap depend


